Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233388 - Review Request: perl-Gtk2-Ex-CalendarButton - Gtk2::Ex::CalendarButton Perl module
Summary: Review Request: perl-Gtk2-Ex-CalendarButton - Gtk2::Ex::CalendarButton Perl m...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Gtk2-Ex-C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 00:09 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-18 19:18:37 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-22 00:09:45 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton-0.01-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton.spec

Description:
I realized that I was constantly re-creating a simple widget that will pop-up
and Gtk2::Calendar when clicked. Just like the datetime display on your
desktop taskbar. This package is my attempt to extract the portion of code
required to create a button-click-calender.

Comment 1 Parag AN(पराग) 2007-03-23 06:32:13 UTC
Got make test failed in Mock build with
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-load....Gtk-WARNING **: cannot open display:   at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gtk2.pm line 63.
dubious
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 1
        Failed 1/1 tests, 0.00% okay
t/test.1.....Gtk-WARNING **: cannot open display:   at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gtk2.pm line 63.
dubious
        Test returned status 1 (wstat 256, 0x100)
t/test.2.....Gtk-WARNING **: cannot open display:   at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gtk2.pm line 63.
dubious
        Test returned status 1 (wstat 256, 0x100)
t/test.3.....Gtk-WARNING **: cannot open display:   at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gtk2.pm line 63.
dubious
        Test returned status 1 (wstat 256, 0x100)
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/00-load.t    1   256     1    2 200.00%  1
t/test.1.t     1   256    ??   ??       %  ??
t/test.2.t     1   256    ??   ??       %  ??
t/test.3.t     1   256    ??   ??       %  ??
Failed 4/4 test scripts, 0.00% okay. 1/1 subtests failed, 0.00% okay.
make: *** [test_dynamic] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.5961 (%check)


Comment 2 Chris Weyl 2007-03-23 15:03:08 UTC
Same issue as with perl-Gtk2-Ex-Carp, I'm afraid:  tests bombing on lack of
$DISPLAY.  New spec/srpm to follow...

Comment 3 Chris Weyl 2007-03-23 15:05:19 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton-0.01-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton.spec

Description:
I realized that I was constantly re-creating a simple widget that will pop-up
and Gtk2::Calendar when clicked. Just like the datetime display on your
desktop taskbar. This package is my attempt to extract the portion of code
required to create a button-click-calender.
New spec/srpm posted.

Comment 4 Parag AN(पराग) 2007-03-26 06:03:01 UTC
BR as perl is not needed.

Comment 5 Chris Weyl 2007-04-02 21:13:28 UTC
BR perl is optional.  What with the recent (well, ongoing, really)
perl/perl-devel split I'm starting to be a touch more pedantic w.r.t. perl BR's.

Comment 6 Chris Weyl 2007-04-25 04:00:18 UTC
ping?

Comment 7 Jason Tibbitts 2007-07-28 05:27:57 UTC
Why isn't this ticket assigned to anyone?  I don't think Parag even saw the ping
as he's not even in the CC list for this ticket.

Comment 8 Chris Weyl 2007-08-10 02:13:26 UTC
(In reply to comment #7)
> Why isn't this ticket assigned to anyone?  I don't think Parag even saw the ping
> as he's not even in the CC list for this ticket.

Good question :)  Fixing...

Comment 9 Parag AN(पराग) 2007-08-10 06:54:35 UTC
Good to add examples directory under %doc

Comment 10 Parag AN(पराग) 2007-08-10 06:57:06 UTC
oops sorry wrong comment.
Ignore above comment plz

Comment 11 Parag AN(पराग) 2007-08-10 07:03:27 UTC
now with new License Changes, you need to change License tag

Comment 12 Chris Weyl 2007-08-10 23:39:47 UTC
Note rpmlint now complains:

W: perl-Gtk2-Ex-CalendarButton invalid-license GPL+ or Artistic

SRPM URL:
http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton-0.01-3.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-CalendarButton.spec

Comment 13 Parag AN(पराग) 2007-08-17 05:24:59 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9013466a6dead8c2072e49826e9a7ab7  Gtk2-Ex-CalendarButton-0.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs nothing
+ Provides: perl(Gtk2::Ex::CalendarButton) = 0.01
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Data::Dumper) perl(Glib) perl(Gtk2)
perl(strict) perl(warnings)

APPROVED.



Comment 14 Chris Weyl 2007-08-17 14:55:36 UTC
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-CalendarButton
Short Description: Gtk2::Ex::CalendarButton Perl module
Owners: cweyl@alumni.drew.edu
Branches: FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 15 Warren Togami 2007-08-17 18:30:53 UTC
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
The format for these requests has changed.  Please see.

Comment 16 Chris Weyl 2007-08-17 18:49:28 UTC
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-CalendarButton
Short Description: Gtk2::Ex::CalendarButton Perl module
Owners: cweyl
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes

InitialCC should be to fedora-perl-devel-list@redhat.com, but I'm not sure how
to specify that anymore...

Comment 17 Kevin Fenzi 2007-08-18 18:33:46 UTC
cvs done. 

The perl list can be added with a cc to 'perl-sig' (which I have done here).

Comment 18 Chris Weyl 2007-08-18 19:18:37 UTC
Thanks Kevin!  Added a note about that to PackagingDrafts/Perl, too.

Thanks for the review, Parag :)

Imported, built, and push request made.


Note You need to log in before you can comment on or make changes to this bug.